Backend API
<template>
<DxVectorMap
id="vector-map"
:bounds="bounds"
>
<DxLayer
:data-source="usa"
:hover-enabled="false"
border-color="#ffffff"
/>
<DxLayer
:data-source="weatherData"
:size="51"
data-field="url"
element-type="image"
type="marker"
>
<DxLabel
data-field="text"
>
<DxFont :size="14"/>
</DxLabel>
</DxLayer>
<DxLoadingIndicator :show="true"/>
</DxVectorMap>
</template>
<script setup lang="ts">
// @ts-ignore
import * as mapsData from 'devextreme-dist/js/vectormap-data/usa.js';
import {
DxVectorMap,
DxLabel,
DxLayer,
DxFont,
DxLoadingIndicator,
} from 'devextreme-vue/vector-map';
import { weatherData } from './data.ts';
const usa = mapsData.usa;
const bounds = [-118, 52, -80, 20];
</script>
<style>
#vector-map {
height: 440px;
}
</style>
window.exports = window.exports || {};
window.config = {
transpiler: false,
meta: {
'*.vue': {
loader: 'vue-loader',
},
'*.ts': {
loader: 'demo-ts-loader',
},
'*.svg': {
loader: 'svg-loader',
},
'typescript': {
'exports': 'ts',
},
'vue': {
format: 'global',
exports: 'Vue',
esModule: true,
},
'vuex': {
format: 'global',
exports: 'Vuex',
esModule: true,
},
'devextreme/time_zone_utils.js': {
'esModule': true,
},
'devextreme/localization.js': {
'esModule': true,
},
'devextreme/viz/palette.js': {
'esModule': true,
},
'devextreme-dist/js/vectormap-data/*': {
'esModule': true,
},
'openai': {
'esModule': true,
},
'zod': {
'esModule': true,
},
'zod-to-json-schema': {
'esModule': true,
},
'anti-forgery': {
loader: 'demo-ts-loader',
},
},
paths: {
'project:': '../../../../',
'npm:': 'https://cdn.jsdelivr.net/npm/',
'bundles:': '../../../../bundles/',
'externals:': '../../../../bundles/externals/',
'anti-forgery:': '../../../../shared/anti-forgery/',
},
map: {
'anti-forgery': 'anti-forgery:fetch-override.js',
'vue': 'npm:vue@3.5.32/dist/vue.global.js',
'@vue/shared': 'npm:@vue/shared@3.4.27/dist/shared.cjs.prod.js',
'vue-loader': 'project:utils/demo-vue-loader.js',
'dx-systemjs-vue-browser': 'npm:dx-systemjs-vue-browser@1.1.2/index.js',
'demo-ts-loader': 'project:utils/demo-ts-loader.js',
'demo-ts-shared': 'project:utils/demo-ts-shared.js',
'typescript': 'npm:typescript@4.2.4/lib/typescript.js',
'jszip': 'npm:jszip@3.10.1/dist/jszip.min.js',
'svg-loader': 'project:utils/svg-loader.js',
'devextreme-dist/js/vectormap-data': '../../../../js/vectormap-data',
'mitt': 'npm:mitt/dist/mitt.umd.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@3.4.4/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign',
'devextreme': 'npm:devextreme@link:../../packages/devextreme/artifacts/npm/devextreme/cjs',
'devextreme-vue': 'npm:devextreme-vue@link:../../packages/devextreme-vue/npm/cjs',
'zod': 'externals:zod.bundle.js',
'zod-to-json-schema': 'externals:zod-to-json-schema.bundle.js',
'devextreme-quill': 'npm:devextreme-quill@1.7.10/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.2.29/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.69/dist/dx-gantt.js',
'inferno': 'npm:inferno@8.2.3/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@8.2.3/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js',
'@preact/signals-core': 'npm:@preact/signals-core@1.14.1/dist/signals-core.min.js',
// Prettier
'prettier/standalone': 'npm:prettier@2.8.8/standalone.js',
'prettier/parser-html': 'npm:prettier@2.8.8/parser-html.js',
},
packages: {
'devextreme-vue': {
main: 'index.js',
},
'devextreme-vue/common': {
main: 'index.js',
},
'devextreme': {
defaultExtension: 'js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/common/core/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
],
};
window.process = {
env: {
NODE_ENV: 'production',
},
};
System.config(window.config);
// eslint-disable-next-line
const useTgzInCSB = ['openai'];
let packagesInfo = {
"zod": {
"version": "3.24.4"
},
"zod-to-json-schema": {
"version": "3.24.6"
}
};
function getImageUrl(name: string) {
return `../../../../images/VectorMap/${name}.png`;
}
export const weatherData = {
type: 'FeatureCollection',
features: [{
type: 'Feature',
geometry: {
type: 'Point',
coordinates: [-74.007118, 40.71455],
},
properties: {
url: getImageUrl('Storm'),
text: 'New York',
},
}, {
type: 'Feature',
geometry: {
type: 'Point',
coordinates: [-77.016251, 38.904758],
},
properties: {
url: getImageUrl('Cloudy'),
text: 'Washington',
},
}, {
type: 'Feature',
geometry: {
type: 'Point',
coordinates: [-81.674782, 30.332251],
},
properties: {
url: getImageUrl('Storm'),
text: 'Jacksonville',
},
}, {
type: 'Feature',
geometry: {
type: 'Point',
coordinates: [-84.423058, 33.763191],
},
properties: {
url: getImageUrl('Rain'),
text: 'Atlanta',
},
}, {
type: 'Feature',
geometry: {
type: 'Point',
coordinates: [-97.514839, 35.466179],
},
properties: {
url: getImageUrl('PartlyCloudy'),
text: 'Oklahoma City',
},
}, {
type: 'Feature',
geometry: {
type: 'Point',
coordinates: [-87.632408, 41.884151],
},
properties: {
url: getImageUrl('Rain'),
text: 'Chicago',
},
}, {
type: 'Feature',
geometry: {
type: 'Point',
coordinates: [-93.103882, 44.947769],
},
properties: {
url: getImageUrl('PartlyCloudy'),
text: 'St. Paul',
},
}, {
type: 'Feature',
geometry: {
type: 'Point',
coordinates: [-94.626823, 39.113522],
},
properties: {
url: getImageUrl('Cloudy'),
text: 'Kansas City',
},
}, {
type: 'Feature',
geometry: {
type: 'Point',
coordinates: [-95.381889, 29.775419],
},
properties: {
url: getImageUrl('Sunny'),
text: 'Houston',
},
}, {
type: 'Feature',
geometry: {
type: 'Point',
coordinates: [-104.991997, 39.740002],
},
properties: {
url: getImageUrl('PartlyCloudy'),
text: 'Denver',
},
}, {
type: 'Feature',
geometry: {
type: 'Point',
coordinates: [-116.193413, 43.606979],
},
properties: {
url: getImageUrl('Sunny'),
text: 'Boise',
},
}, {
type: 'Feature',
geometry: {
type: 'Point',
coordinates: [-118.245003, 34.053501],
},
properties: {
url: getImageUrl('PartlyCloudy'),
text: 'Los Angeles',
},
}, {
type: 'Feature',
geometry: {
type: 'Point',
coordinates: [-121.886002, 37.3386],
},
properties: {
url: getImageUrl('PartlyCloudy'),
text: 'San Jose',
},
}, {
type: 'Feature',
geometry: {
type: 'Point',
coordinates: [-123.0252, 44.923199],
},
properties: {
url: getImageUrl('Sunny'),
text: 'Salem',
},
}, {
type: 'Feature',
geometry: {
type: 'Point',
coordinates: [-122.329437, 47.603561],
},
properties: {
url: getImageUrl('Sunny'),
text: 'Seattle',
},
}],
};
import { createApp } from 'vue';
import App from './App.vue';
createApp(App).mount('#app');
<!DOCTYPE html>
<html lang="en">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=5.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/26.1.3/css/dx.light.css" />
<script type="module">
import * as vueCompilerSFC from "https://cdn.jsdelivr.net/npm/@vue/compiler-sfc@3.4.27/dist/compiler-sfc.esm-browser.js";
window.vueCompilerSFC = vueCompilerSFC;
</script>
<script src="https://cdn.jsdelivr.net/npm/core-js@2.6.12/client/shim.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import("./index.ts");
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app"></div>
</div>
</body>
</html>

Backend API
import React from 'react';
import VectorMap, {
Label,
Layer,
Font,
LoadingIndicator,
} from 'devextreme-react/vector-map';
import * as mapsData from 'devextreme-dist/js/vectormap-data/usa.js';
import { weatherData } from './data.ts';
const bounds = [-118, 52, -80, 20];
const App = () => (
<VectorMap
id="vector-map"
bounds={bounds}>
<Layer
dataSource={mapsData.usa}
hoverEnabled={false}
borderColor="#ffffff"
>
</Layer>
<Layer
dataSource={weatherData}
type="marker"
elementType="image"
dataField="url"
size={51}>
<Label dataField="text">
<Font size={14} />
</Label>
</Layer>
<LoadingIndicator show={true} />
</VectorMap>
);
export default App;
import React from 'react';
import VectorMap, {
Label, Layer, Font, LoadingIndicator,
} from 'devextreme-react/vector-map';
import * as mapsData from 'devextreme-dist/js/vectormap-data/usa.js';
import { weatherData } from './data.js';
const bounds = [-118, 52, -80, 20];
const App = () => (
<VectorMap
id="vector-map"
bounds={bounds}
>
<Layer
dataSource={mapsData.usa}
hoverEnabled={false}
borderColor="#ffffff"
></Layer>
<Layer
dataSource={weatherData}
type="marker"
elementType="image"
dataField="url"
size={51}
>
<Label dataField="text">
<Font size={14} />
</Label>
</Layer>
<LoadingIndicator show={true} />
</VectorMap>
);
export default App;
import React from 'react';
import ReactDOM from 'react-dom';
import App from './App.tsx';
ReactDOM.render(
<App />,
document.getElementById('app'),
);
function getImageUrl(name: string) {
return `../../../../images/VectorMap/${name}.png`;
}
export const weatherData = {
type: 'FeatureCollection',
features: [{
type: 'Feature',
geometry: {
type: 'Point',
coordinates: [-74.007118, 40.71455],
},
properties: {
url: getImageUrl('Storm'),
text: 'New York',
},
}, {
type: 'Feature',
geometry: {
type: 'Point',
coordinates: [-77.016251, 38.904758],
},
properties: {
url: getImageUrl('Cloudy'),
text: 'Washington',
},
}, {
type: 'Feature',
geometry: {
type: 'Point',
coordinates: [-81.674782, 30.332251],
},
properties: {
url: getImageUrl('Storm'),
text: 'Jacksonville',
},
}, {
type: 'Feature',
geometry: {
type: 'Point',
coordinates: [-84.423058, 33.763191],
},
properties: {
url: getImageUrl('Rain'),
text: 'Atlanta',
},
}, {
type: 'Feature',
geometry: {
type: 'Point',
coordinates: [-97.514839, 35.466179],
},
properties: {
url: getImageUrl('PartlyCloudy'),
text: 'Oklahoma City',
},
}, {
type: 'Feature',
geometry: {
type: 'Point',
coordinates: [-87.632408, 41.884151],
},
properties: {
url: getImageUrl('Rain'),
text: 'Chicago',
},
}, {
type: 'Feature',
geometry: {
type: 'Point',
coordinates: [-93.103882, 44.947769],
},
properties: {
url: getImageUrl('PartlyCloudy'),
text: 'St. Paul',
},
}, {
type: 'Feature',
geometry: {
type: 'Point',
coordinates: [-94.626823, 39.113522],
},
properties: {
url: getImageUrl('Cloudy'),
text: 'Kansas City',
},
}, {
type: 'Feature',
geometry: {
type: 'Point',
coordinates: [-95.381889, 29.775419],
},
properties: {
url: getImageUrl('Sunny'),
text: 'Houston',
},
}, {
type: 'Feature',
geometry: {
type: 'Point',
coordinates: [-104.991997, 39.740002],
},
properties: {
url: getImageUrl('PartlyCloudy'),
text: 'Denver',
},
}, {
type: 'Feature',
geometry: {
type: 'Point',
coordinates: [-116.193413, 43.606979],
},
properties: {
url: getImageUrl('Sunny'),
text: 'Boise',
},
}, {
type: 'Feature',
geometry: {
type: 'Point',
coordinates: [-118.245003, 34.053501],
},
properties: {
url: getImageUrl('PartlyCloudy'),
text: 'Los Angeles',
},
}, {
type: 'Feature',
geometry: {
type: 'Point',
coordinates: [-121.886002, 37.3386],
},
properties: {
url: getImageUrl('PartlyCloudy'),
text: 'San Jose',
},
}, {
type: 'Feature',
geometry: {
type: 'Point',
coordinates: [-123.0252, 44.923199],
},
properties: {
url: getImageUrl('Sunny'),
text: 'Salem',
},
}, {
type: 'Feature',
geometry: {
type: 'Point',
coordinates: [-122.329437, 47.603561],
},
properties: {
url: getImageUrl('Sunny'),
text: 'Seattle',
},
}],
};
declare module 'devextreme-dist/js/vectormap-data/usa.js' {
type Position = number[];
type Geometry =
| { type: 'Point'; coordinates: Position }
| { type: 'MultiPoint'; coordinates: Position[] }
| { type: 'LineString'; coordinates: Position[] }
| { type: 'MultiLineString'; coordinates: Position[][] }
| { type: 'Polygon'; coordinates: Position[][] }
| { type: 'MultiPolygon'; coordinates: Position[][][] };
interface Feature {
type: 'Feature';
geometry: Geometry;
properties: Record<string, unknown>;
}
interface FeatureCollection {
type: 'FeatureCollection';
features: Feature[];
// eslint-disable-next-line spellcheck/spell-checker
bbox?: number[];
}
const usa: FeatureCollection;
export { usa };
export default usa;
}
window.exports = window.exports || {};
window.config = {
transpiler: false,
meta: {
'*.ts': {
loader: 'demo-ts-loader',
},
'*.tsx': {
loader: 'demo-ts-loader',
typescriptOptions: {
jsx: 'react',
},
},
'typescript': {
'exports': 'ts',
},
'anti-forgery': {
loader: 'demo-ts-loader',
},
'react': {
'esModule': true,
},
'devextreme/time_zone_utils.js': {
'esModule': true,
},
'devextreme/localization.js': {
'esModule': true,
},
'devextreme/viz/palette.js': {
'esModule': true,
},
'devextreme-dist/js/vectormap-data/*': {
'esModule': true,
},
'openai': {
'esModule': true,
},
'zod': {
'esModule': true,
},
'zod-to-json-schema': {
'esModule': true,
},
},
paths: {
'project:': '../../../../',
'npm:': 'https://cdn.jsdelivr.net/npm/',
'bundles:': '../../../../bundles/',
'externals:': '../../../../bundles/externals/',
'anti-forgery:': '../../../../shared/anti-forgery/',
},
defaultExtension: 'js',
map: {
'anti-forgery': 'anti-forgery:fetch-override.js',
'demo-ts-loader': 'project:utils/demo-ts-loader.js',
'demo-ts-shared': 'project:utils/demo-ts-shared.js',
'typescript': 'npm:typescript@4.2.4/lib/typescript.js',
'jszip': 'npm:jszip@3.10.1/dist/jszip.min.js',
'react': 'npm:react@17.0.2/umd/react.development.js',
'react-dom': 'npm:react-dom@17.0.2/umd/react-dom.development.js',
'prop-types': 'npm:prop-types/prop-types.js',
'devextreme-dist/js/vectormap-data': '../../../../js/vectormap-data',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@3.4.4/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign',
'devextreme': 'npm:devextreme@link:../../packages/devextreme/artifacts/npm/devextreme/cjs',
'devextreme-react': 'npm:devextreme-react@link:../../packages/devextreme-react/npm/cjs',
'zod': 'externals:zod.bundle.js',
'zod-to-json-schema': 'externals:zod-to-json-schema.bundle.js',
'devextreme-quill': 'npm:devextreme-quill@1.7.10/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.2.29/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.69/dist/dx-gantt.js',
'inferno': 'npm:inferno@8.2.3/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@8.2.3/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js',
'@preact/signals-core': 'npm:@preact/signals-core@1.14.1/dist/signals-core.min.js',
'devextreme-cldr-data': 'npm:devextreme-cldr-data@1.0.3',
// Prettier
'prettier/standalone': 'npm:prettier@2.8.8/standalone.js',
'prettier/parser-html': 'npm:prettier@2.8.8/parser-html.js',
},
packages: {
'devextreme': {
defaultExtension: 'js',
},
'devextreme-react': {
main: 'index.js',
},
'devextreme-react/common': {
main: 'index.js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/common/core/events/utils': {
main: 'index',
},
'devextreme/localization/messages': {
format: 'json',
defaultExtension: 'json',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
],
};
window.process = {
env: {
NODE_ENV: 'production',
},
};
System.config(window.config);
// eslint-disable-next-line
const useTgzInCSB = ['openai'];
let packagesInfo = {
"zod": {
"version": "3.24.4"
},
"zod-to-json-schema": {
"version": "3.24.6"
}
};
import React from 'react';
import ReactDOM from 'react-dom';
import App from './App.js';
ReactDOM.render(<App />, document.getElementById('app'));
function getImageUrl(name) {
return `../../../../images/VectorMap/${name}.png`;
}
export const weatherData = {
type: 'FeatureCollection',
features: [
{
type: 'Feature',
geometry: {
type: 'Point',
coordinates: [-74.007118, 40.71455],
},
properties: {
url: getImageUrl('Storm'),
text: 'New York',
},
},
{
type: 'Feature',
geometry: {
type: 'Point',
coordinates: [-77.016251, 38.904758],
},
properties: {
url: getImageUrl('Cloudy'),
text: 'Washington',
},
},
{
type: 'Feature',
geometry: {
type: 'Point',
coordinates: [-81.674782, 30.332251],
},
properties: {
url: getImageUrl('Storm'),
text: 'Jacksonville',
},
},
{
type: 'Feature',
geometry: {
type: 'Point',
coordinates: [-84.423058, 33.763191],
},
properties: {
url: getImageUrl('Rain'),
text: 'Atlanta',
},
},
{
type: 'Feature',
geometry: {
type: 'Point',
coordinates: [-97.514839, 35.466179],
},
properties: {
url: getImageUrl('PartlyCloudy'),
text: 'Oklahoma City',
},
},
{
type: 'Feature',
geometry: {
type: 'Point',
coordinates: [-87.632408, 41.884151],
},
properties: {
url: getImageUrl('Rain'),
text: 'Chicago',
},
},
{
type: 'Feature',
geometry: {
type: 'Point',
coordinates: [-93.103882, 44.947769],
},
properties: {
url: getImageUrl('PartlyCloudy'),
text: 'St. Paul',
},
},
{
type: 'Feature',
geometry: {
type: 'Point',
coordinates: [-94.626823, 39.113522],
},
properties: {
url: getImageUrl('Cloudy'),
text: 'Kansas City',
},
},
{
type: 'Feature',
geometry: {
type: 'Point',
coordinates: [-95.381889, 29.775419],
},
properties: {
url: getImageUrl('Sunny'),
text: 'Houston',
},
},
{
type: 'Feature',
geometry: {
type: 'Point',
coordinates: [-104.991997, 39.740002],
},
properties: {
url: getImageUrl('PartlyCloudy'),
text: 'Denver',
},
},
{
type: 'Feature',
geometry: {
type: 'Point',
coordinates: [-116.193413, 43.606979],
},
properties: {
url: getImageUrl('Sunny'),
text: 'Boise',
},
},
{
type: 'Feature',
geometry: {
type: 'Point',
coordinates: [-118.245003, 34.053501],
},
properties: {
url: getImageUrl('PartlyCloudy'),
text: 'Los Angeles',
},
},
{
type: 'Feature',
geometry: {
type: 'Point',
coordinates: [-121.886002, 37.3386],
},
properties: {
url: getImageUrl('PartlyCloudy'),
text: 'San Jose',
},
},
{
type: 'Feature',
geometry: {
type: 'Point',
coordinates: [-123.0252, 44.923199],
},
properties: {
url: getImageUrl('Sunny'),
text: 'Salem',
},
},
{
type: 'Feature',
geometry: {
type: 'Point',
coordinates: [-122.329437, 47.603561],
},
properties: {
url: getImageUrl('Sunny'),
text: 'Seattle',
},
},
],
};
<!DOCTYPE html>
<html lang="en">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=5.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/26.1.3/css/dx.light.css" />
<link rel="stylesheet" type="text/css" href="styles.css" />
<script src="https://cdn.jsdelivr.net/npm/core-js@2.6.12/client/shim.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import("./index.tsx");
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app"></div>
</div>
</body>
</html>
#vector-map {
height: 440px;
}

Feel free to share demo-related thoughts here.
If you have technical questions, please create a support ticket in the DevExpress Support Center.
Thank you for the feedback!
If you have technical questions, please create a support ticket in the DevExpress Support Center.
Backend API
<dx-vector-map id="vector-map" [bounds]="[-118, 52, -80, 20]">
<dxo-loading-indicator [show]="true"></dxo-loading-indicator>
<dxi-layer
[dataSource]="usaMap"
borderColor="#ffffff"
[hoverEnabled]="false"
></dxi-layer>
<dxi-layer
[dataSource]="weather"
dataField="url"
elementType="image"
type="marker"
[size]="51"
>
<dxo-label dataField="text">
<dxo-font [size]="14"></dxo-font>
</dxo-label>
</dxi-layer>
</dx-vector-map>
import { NgModule, Component, enableProdMode } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { DxVectorMapModule } from 'devextreme-angular';
import * as mapsData from 'devextreme-dist/js/vectormap-data/usa.js';
import { FeatureCollection, Service } from './app.service';
if (!/localhost/.test(document.location.host)) {
enableProdMode();
}
let modulePrefix = '';
// @ts-ignore
if (window && window.config?.packageConfigPaths) {
modulePrefix = '/app';
}
@Component({
selector: 'demo-app',
providers: [Service],
templateUrl: `app/app.component.html`,
styleUrls: [`app/app.component.css`],
})
export class AppComponent {
usaMap = mapsData.usa;
weather: FeatureCollection;
constructor(service: Service) {
this.weather = service.getWeatherData();
}
}
@NgModule({
imports: [
BrowserModule,
DxVectorMapModule,
],
declarations: [AppComponent],
bootstrap: [AppComponent],
})
export class AppModule { }
platformBrowserDynamic().bootstrapModule(AppModule);
::ng-deep #vector-map {
height: 440px;
}
import { Injectable } from '@angular/core';
export class FeatureCollection {
type: string;
features: Feature[];
}
export class Feature {
type: string;
properties: FeatureProperty;
geometry: FeatureGeometry;
}
export class FeatureProperty {
text: string;
url: string;
}
export class FeatureGeometry {
type: string;
coordinates: number[];
}
function getImageUrl(name): string {
return `../../../../images/VectorMap/${name}.png`;
}
const weatherData: FeatureCollection = {
type: 'FeatureCollection',
features: [{
type: 'Feature',
geometry: {
type: 'Point',
coordinates: [-74.007118, 40.71455],
},
properties: {
url: getImageUrl('Storm'),
text: 'New York',
},
}, {
type: 'Feature',
geometry: {
type: 'Point',
coordinates: [-77.016251, 38.904758],
},
properties: {
url: getImageUrl('Cloudy'),
text: 'Washington',
},
}, {
type: 'Feature',
geometry: {
type: 'Point',
coordinates: [-81.674782, 30.332251],
},
properties: {
url: getImageUrl('Storm'),
text: 'Jacksonville',
},
}, {
type: 'Feature',
geometry: {
type: 'Point',
coordinates: [-84.423058, 33.763191],
},
properties: {
url: getImageUrl('Rain'),
text: 'Atlanta',
},
}, {
type: 'Feature',
geometry: {
type: 'Point',
coordinates: [-97.514839, 35.466179],
},
properties: {
url: getImageUrl('PartlyCloudy'),
text: 'Oklahoma City',
},
}, {
type: 'Feature',
geometry: {
type: 'Point',
coordinates: [-87.632408, 41.884151],
},
properties: {
url: getImageUrl('Rain'),
text: 'Chicago',
},
}, {
type: 'Feature',
geometry: {
type: 'Point',
coordinates: [-93.103882, 44.947769],
},
properties: {
url: getImageUrl('PartlyCloudy'),
text: 'St. Paul',
},
}, {
type: 'Feature',
geometry: {
type: 'Point',
coordinates: [-94.626823, 39.113522],
},
properties: {
url: getImageUrl('Cloudy'),
text: 'Kansas City',
},
}, {
type: 'Feature',
geometry: {
type: 'Point',
coordinates: [-95.381889, 29.775419],
},
properties: {
url: getImageUrl('Sunny'),
text: 'Houston',
},
}, {
type: 'Feature',
geometry: {
type: 'Point',
coordinates: [-104.991997, 39.740002],
},
properties: {
url: getImageUrl('PartlyCloudy'),
text: 'Denver',
},
}, {
type: 'Feature',
geometry: {
type: 'Point',
coordinates: [-116.193413, 43.606979],
},
properties: {
url: getImageUrl('Sunny'),
text: 'Boise',
},
}, {
type: 'Feature',
geometry: {
type: 'Point',
coordinates: [-118.245003, 34.053501],
},
properties: {
url: getImageUrl('PartlyCloudy'),
text: 'Los Angeles',
},
}, {
type: 'Feature',
geometry: {
type: 'Point',
coordinates: [-121.886002, 37.3386],
},
properties: {
url: getImageUrl('PartlyCloudy'),
text: 'San Jose',
},
}, {
type: 'Feature',
geometry: {
type: 'Point',
coordinates: [-123.0252, 44.923199],
},
properties: {
url: getImageUrl('Sunny'),
text: 'Salem',
},
}, {
type: 'Feature',
geometry: {
type: 'Point',
coordinates: [-122.329437, 47.603561],
},
properties: {
url: getImageUrl('Sunny'),
text: 'Seattle',
},
}],
};
@Injectable()
export class Service {
getWeatherData(): FeatureCollection {
return weatherData;
}
}
// In real applications, you should not transpile code in the browser.
// You can see how to create your own application with Angular and DevExtreme here:
// https://js.devexpress.com/Documentation/Guide/Angular_Components/Getting_Started/Create_a_DevExtreme_Application/
const componentNames = [
'accordion',
'action-sheet',
'autocomplete',
'bar-gauge',
'box',
'bullet',
'button-group',
'button',
'calendar',
'card-view',
'chart',
'chat',
'check-box',
'circular-gauge',
'color-box',
'context-menu',
'data-grid',
'date-box',
'date-range-box',
'defer-rendering',
'diagram',
'draggable',
'drawer',
'drop-down-box',
'drop-down-button',
'file-manager',
'file-uploader',
'filter-builder',
'form',
'funnel',
'gallery',
'gantt',
'html-editor',
'linear-gauge',
'list',
'load-indicator',
'load-panel',
'lookup',
'map',
'menu',
'multi-view',
'nested',
'number-box',
'pagination',
'pie-chart',
'pivot-grid-field-chooser',
'pivot-grid',
'polar-chart',
'popover',
'popup',
'progress-bar',
'radio-group',
'range-selector',
'range-slider',
'recurrence-editor',
'resizable',
'responsive-box',
'sankey',
'scheduler',
'scroll-view',
'select-box',
'slider',
'sortable',
'sparkline',
'speed-dial-action',
'splitter',
'stepper',
'switch',
'tab-panel',
'tabs',
'tag-box',
'text-area',
'text-box',
'tile-view',
'toast',
'toolbar',
'tooltip',
'tree-list',
'tree-map',
'tree-view',
'validation-group',
'validation-summary',
'validator',
'vector-map',
];
window.exports = window.exports || {};
window.config = {
transpiler: 'ts',
typescriptOptions: {
module: 'system',
emitDecoratorMetadata: true,
experimentalDecorators: true,
},
meta: {
'typescript': {
'exports': 'ts',
},
'devextreme-dist/js/vectormap-data/*': {
'esModule': true,
},
'devextreme/time_zone_utils.js': {
'esModule': true,
},
'devextreme/localization.js': {
'esModule': true,
},
'devextreme/viz/palette.js': {
'esModule': true,
},
'@angular/platform-browser-dynamic': {
'esModule': true,
},
'@angular/platform-browser': {
'esModule': true,
},
'@angular/core': {
'esModule': true,
},
'@angular/common': {
'esModule': true,
},
'@angular/common/http': {
'esModule': true,
},
'@angular/animations': {
'esModule': true,
},
'@angular/forms': {
'esModule': true,
},
'openai': {
'esModule': true,
},
},
paths: {
'npm:': 'https://cdn.jsdelivr.net/npm/',
'bundles:': '../../../../bundles/',
'externals:': '../../../../bundles/externals/',
},
map: {
'ts': 'npm:plugin-typescript@8.0.0/lib/plugin.js',
'typescript': 'npm:typescript@4.2.4/lib/typescript.js',
'jszip': 'npm:jszip@3.10.1/dist/jszip.min.js',
/* @angular */
'@angular/compiler': 'bundles:@angular/compiler.umd.js',
'@angular/platform-browser-dynamic': 'bundles:@angular/platform-browser-dynamic.umd.js',
'@angular/core': 'bundles:@angular/core.umd.js',
'@angular/core/primitives/signals': 'bundles:@angular/core.primitives.signals.umd.js',
'@angular/common': 'bundles:@angular/common.umd.js',
'@angular/common/http': 'bundles:@angular/common-http.umd.js',
'@angular/platform-browser': 'bundles:@angular/platform-browser.umd.js',
'@angular/platform-browser/animations': 'bundles:@angular/platform-browser.umd.js',
'@angular/forms': 'bundles:@angular/forms.umd.js',
/* devextreme */
'devextreme': 'npm:devextreme@25.1.3/cjs',
'devextreme-quill': 'npm:devextreme-quill@1.7.3/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.2.19',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.62',
/* devextreme-angular umd maps */
'devextreme-angular': 'bundles:devextreme-angular/devextreme-angular.umd.js',
'devextreme-angular/common/ai-integration': 'bundles:devextreme-angular/devextreme-angular-common-ai-integration.umd.js',
'devextreme-angular/core': 'bundles:devextreme-angular/devextreme-angular-core.umd.js',
'devextreme-angular/common/charts': 'bundles:devextreme-angular/devextreme-angular-common-charts.umd.js',
'devextreme-angular/common/core/animation': 'bundles:devextreme-angular/devextreme-angular-common-core-animation.umd.js',
'devextreme-angular/common/core/environment': 'bundles:devextreme-angular/devextreme-angular-common-core-environment.umd.js',
'devextreme-angular/common/core/events': 'bundles:devextreme-angular/devextreme-angular-common-core-events.umd.js',
'devextreme-angular/common/core/localization': 'bundles:devextreme-angular/devextreme-angular-common-core-localization.umd.js',
'devextreme-angular/common/core': 'bundles:devextreme-angular/devextreme-angular-common-core.umd.js',
'devextreme-angular/common/data/custom-store': 'bundles:devextreme-angular/devextreme-angular-common-data-custom-store.umd.js',
'devextreme-angular/common/data': 'bundles:devextreme-angular/devextreme-angular-common-data.umd.js',
'devextreme-angular/common/export/excel': 'bundles:devextreme-angular/devextreme-angular-common-export-excel.umd.js',
'devextreme-angular/common/export/pdf': 'bundles:devextreme-angular/devextreme-angular-common-export-pdf.umd.js',
'devextreme-angular/common/export': 'bundles:devextreme-angular/devextreme-angular-common-export.umd.js',
'devextreme-angular/common/grids': 'bundles:devextreme-angular/devextreme-angular-common-grids.umd.js',
'devextreme-angular/common': 'bundles:devextreme-angular/devextreme-angular-common.umd.js',
'devextreme-angular/http': 'bundles:devextreme-angular/devextreme-angular-http.umd.js',
...componentNames.reduce((acc, name) => {
acc[`devextreme-angular/ui/${name}`] = `bundles:devextreme-angular/devextreme-angular-ui-${name}.umd.js`;
acc[`devextreme-angular/ui/${name}/nested`] = `bundles:devextreme-angular/devextreme-angular-ui-${name}-nested.umd.js`;
return acc;
}, {}),
'tslib': 'npm:tslib/tslib.js',
'rxjs': 'npm:rxjs@7.5.3/dist/bundles/rxjs.umd.js',
'rxjs/operators': 'npm:rxjs@7.5.3/dist/cjs/operators/index.js',
'devextreme-dist/js/vectormap-data': '../../../../js/vectormap-data',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@3.4.4/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign',
'inferno': 'npm:inferno@8.2.3/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@8.2.3/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js',
'@preact/signals-core': 'npm:@preact/signals-core@1.8.0/dist/signals-core.min.js',
// Prettier
'prettier/standalone': 'npm:prettier@2.8.8/standalone.js',
'prettier/parser-html': 'npm:prettier@2.8.8/parser-html.js',
},
packages: {
'app': {
main: './app.component.ts',
defaultExtension: 'ts',
},
'devextreme': {
defaultExtension: 'js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/common/core/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
'rxjs': {
defaultExtension: 'js',
},
'rxjs/operators': {
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
'npm:rxjs@7.5.3/package.json',
'npm:rxjs@7.5.3/operators/package.json',
'npm:devexpress-diagram@2.2.19/package.json',
'npm:devexpress-gantt@4.1.62/package.json',
],
};
System.config(window.config);
// System.import('@angular/compiler').catch(console.error.bind(console));
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=5.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/25.1.3/css/dx.light.css" />
<script src="https://cdn.jsdelivr.net/npm/core-js@2.6.12/client/shim.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/zone.js@0.14.10/bundles/zone.umd.js"></script>
<script src="https://cdn.jsdelivr.net/npm/reflect-metadata@0.1.13/Reflect.js"></script>
<script src="https://cdn.jsdelivr.net/npm/systemjs@0.21.3/dist/system.js"></script>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script>window.jQuery || document.write(decodeURIComponent('%3Cscript src="js/jquery.min.js"%3E%3C/script%3E'))</script>
<script src="config.js"></script>
<script>
System.import("app").catch(console.error.bind(console));
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<demo-app>Loading...</demo-app>
</div>
</body>
</html>